logo
 
  1. Reverse Engineering >
  2. Exploits >
  3. gstreamer bis 1.10.1 FLIC Decoder gst/flx/gstflxdec.c flx_decode_delta_fli Pufferüberlauf


ArabicEnglishFrenchGermanGreekItalianJapaneseKoreanPersianPolishPortugueseRussianSpanishTurkishVietnamese

gstreamer bis 1.10.1 FLIC Decoder gst/flx/gstflxdec.c flx_decode_delta_fli Pufferüberlauf

Exploits vom | Direktlink: vuldb.com Nachrichten Bewertung

In gstreamer bis 1.10.1 wurde eine kritische Schwachstelle entdeckt. Hierbei betrifft es die Funktion flx_decode_delta_fli der Datei gst/flx/gstflxdec.c der Komponente FLIC Decoder. Durch Beeinflussen mit einer unbekannten Eingabe kann eine Pufferüberlauf-Schwachstelle ausgenutzt werden. Die Auswirkungen sind bekannt für Vertraulichkeit, Integrität und Verfügbarkeit.

Die Schwachstelle wurde am 27.01.2017 öffentlich gemacht. Die Verwundbarkeit wird als CVE-2016-9635 geführt. Der Angriff kann über das Netzwerk angegangen werden. Technische Details sind bekannt, ein verfügbarer Exploit hingegen nicht.

Für den Vulnerability Scanner Nessus wurde ein Plugin mit der ID 96067 (Oracle Linux 6 : gstreamer-plugins-good (ELSA-2016-2975)) herausgegeben, womit die Existenz der Schwachstelle geprüft werden kann. Es wird der Family Oracle Linux Local Security Checks zugeordnet.

Ein Aktualisieren auf die Version 1.10.2 vermag dieses Problem zu lösen.

Von weiterem Interesse können die folgenden Einträge sein: 95335, 95336 und 96140.

CVSSv3

Base Score: ≈6.3
Temp Score: ≈6.0
Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L/E:X/RL:O/RC:X
Zuverlässigkeit: Medium

CVSSv2

Base Score: ≈6.0 (CVSS2#AV:N/AC:M/Au:S/C:P/I:P/A:P)
Temp Score: ≈5.2 (CVSS2#E:ND/RL:OF/RC:ND)
Zuverlässigkeit: Medium

CPE

Exploiting

Klasse: Pufferüberlauf
Lokal: Nein
Remote: Ja

Verfügbarkeit: Nein

Preisentwicklung: gleichbleibend
Aktuelle Preisschätzung: $0-$5k (0-day) / $0-$5k (Heute)

Nessus ID: 96067
Nessus Name: Oracle Linux 6 : gstreamer-plugins-good (ELSA-2016-2975)
Nessus File: oraclelinux_ELSA-2016-2975.nasl
Nessus Family: Oracle Linux Local Security Checks
OpenVAS ID: 58467
OpenVAS Name: Fedora Update for gstreamer1-plugins-good FEDORA-2016-c883d07fba
OpenVAS File: gb_fedora_2016_c883d07fba_gstreamer1-plugins-good_fc25.nasl
OpenVAS Family: Fedora Local Security Checks

Gegenmassnahmen

Empfehlung: Upgrade
Status: Offizieller Fix
0-Day Time: 0 Tage seit gefunden

Upgrade: gstreamer 1.10.2

Timeline

27.01.2017 Advisory veröffentlicht
28.01.2017 VulDB Eintrag erstellt
28.01.2017 VulDB letzte Aktualisierung

Quellen


CVE: CVE-2016-9635 (mitre.org) (nvd.nist.org) (cvedetails.com)
Siehe auch: 95335, 95336, 96140

Eintrag

Erstellt: 28.01.2017
Eintrag: 72.4% komplett
...

Externe Webseite mit kompletten Inhalt öffnen

Kommentiere zu gstreamer bis 1.10.1 FLIC Decoder gst/flx/gstflxdec.c flx_decode_delta_fli Pufferberlauf






➤ Ähnliche Beiträge